## rocketcea 1.1.18+dfsg

=== requirements.txt ===
future
numpy
scipy
matplotlib

## rocketcea 1.1.18%2Bdfsg

=== debian/control ===
Source: rocketcea
Section: science
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper-compat (= 12), dh-python, gfortran, python3-coverage, python3-all-dev, python3-future, 
	python3-matplotlib, python3-nose, python3-numpy, python3-scipy, python3-setuptools
Standards-Version: 4.5.0
Homepage: https://rocketcea.readthedocs.io
Vcs-Git: https://salsa.debian.org/debian/rocketcea.git
Vcs-Browser: https://salsa.debian.org/debian/rocketcea

Package: rocketcea
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: NASA Chemical Equilibrium, wrapped in Python
 RocketCEA makes direct calls to a modified copy of the NASA FORTRAN CEA code 
 in “rocket” mode to calculate Isp, Cstar, Tcham etc. and provides tools to 
 help determine useful mixture ratio range, optimum MR and more.
 .
 The modifications to CEA2.f have been made in order to properly handle 
 hydrazine monopropellant’s ammonia dissociation.
 .
 A typical use of this program would be to help determine input values for a
 rocket motor burn simulation program.

## rocketcea 1.1.18+dfsg

=== debian/changelog ===
rocketcea (1.1.18+dfsg-3) unstable; urgency=medium

  * patch from Dmitry Shachnev to eliminate use of nose, closes: #1018617

 -- Bdale Garbee <bdale@gag.com>  Sat, 03 Dec 2022 15:42:20 -0700

rocketcea (1.1.18+dfsg-2) unstable; urgency=medium

  * fix version-specific rm in rules file, closes: #976781

 -- Bdale Garbee <bdale@gag.com>  Mon, 07 Dec 2020 15:34:18 -0700

rocketcea (1.1.18+dfsg-1) unstable; urgency=medium

  * initial packaging for Debian

 -- Bdale Garbee <bdale@gag.com>  Fri, 14 Aug 2020 10:08:27 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Bdale Garbee <bdale@gag.com>
 Build-Depends: debhelper-compat (= 12), dh-python, gfortran, python3-coverage, python3-all-dev, python3-future, 
-	python3-matplotlib, python3-nose, python3-numpy, python3-scipy, python3-setuptools
+	python3-matplotlib, python3-numpy, python3-scipy, python3-setuptools
 Standards-Version: 4.5.0
 Homepage: https://rocketcea.readthedocs.io
 Vcs-Git: https://salsa.debian.org/debian/rocketcea.git

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

export PYBUILD_NAME=rocketcea
export PYBUILD_AFTER_INSTALL_python3=dh_numpy3

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- --system custom --test-args 'cd {build_dir}; {interpreter} -m unittest discover -v'

execute_after_dh_auto_test:
	rm -f .pybuild/cpython3*rocketcea/build/separated_Noz.csv

# If you need to rebuild the Sphinx documentation
# Add spinxdoc to the dh --with line
#
# And uncomment the following lines
#override_dh_auto_build: export http_proxy=127.0.0.1:9
#override_dh_auto_build: export https_proxy=127.0.0.1:9
#override_dh_auto_build:
#	dh_auto_build
#	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html # HTML generator
#	PYTHONPATH=. python3 -m sphinx -N -bman docs/ build/man # Manpage generator

## rocketcea 1.1.34+dfsg

=== debian/changelog ===
rocketcea (1.1.34+dfsg-2) unstable; urgency=medium

  * Non maintainer upload
  * add a Build-Depends on python3-zombie-imp to fix FTBFS with Python3.12

 -- Alexandre Detiste <tchet@debian.org>  Wed, 20 Dec 2023 10:03:43 +0100

rocketcea (1.1.34+dfsg-1) unstable; urgency=medium

  * Non maintainer upload
  * new upstream version 1.1.34+dfsg
  * this still won't compile with Python 3.12
  * bump debhelper from old 12 to 13.
  * remove usage of python3-future
  * add (now) non working watch file to make later repacking easier

 -- Alexandre Detiste <tchet@debian.org>  Mon, 18 Dec 2023 01:55:01 +0100

=== debian/control ===
Source: rocketcea
Section: science
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 gfortran,
 python3-all-dev,
 python3-coverage,
 python3-matplotlib,
 python3-numpy,
 python3-scipy,
 python3-setuptools,
 python3-zombie-imp,
Standards-Version: 4.5.0
Homepage: https://rocketcea.readthedocs.io
Vcs-Git: https://salsa.debian.org/debian/rocketcea.git
Vcs-Browser: https://salsa.debian.org/debian/rocketcea

Package: rocketcea
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Description: NASA Chemical Equilibrium, wrapped in Python
 RocketCEA makes direct calls to a modified copy of the NASA FORTRAN CEA code
 in “rocket” mode to calculate Isp, Cstar, Tcham etc. and provides tools to
 help determine useful mixture ratio range, optimum MR and more.
 .
 The modifications to CEA2.f have been made in order to properly handle
 hydrazine monopropellant’s ammonia dissociation.
 .
 A typical use of this program would be to help determine input values for a
 rocket motor burn simulation program.

=== debian/rules ===
--- 
+++ 
@@ -23,4 +23,3 @@
 #	dh_auto_build
 #	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html # HTML generator
 #	PYTHONPATH=. python3 -m sphinx -N -bman docs/ build/man # Manpage generator
-

=== debian/watch ===
version=4
opts="compression=xz,repacksuffix=+dfsg,repack,dversionmangle=s/\+dfsg\d*//" \
    https://github.com/sonofeft/RocketCEA/tags/ \
    /sonofeft/RockectCEA/archive/RocketCEA/tags/v@ANY_VERSION@@ARCHIVE_EXT@

## rocketcea 1.2.1

=== docs/Makefile ===

# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/RocketCEA.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/RocketCEA.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/RocketCEA"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/RocketCEA"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
rocketcea (1.2.1-2build2) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 29 Jan 2025 22:41:02 +0000

rocketcea (1.2.1-2build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 11:54:33 +0100

rocketcea (1.2.1-2) unstable; urgency=medium

  * patch docs/conf.py to fix build failure, closes: #1090167

 -- Bdale Garbee <bdale@gag.com>  Wed, 18 Dec 2024 12:43:59 -0700

rocketcea (1.2.1-1) unstable; urgency=medium

  * Re-package using upstream github repo as starting point, closes: #1069218
  * enable Sphinx doc rebuild, closes: #1058900

 -- Bdale Garbee <bdale@gag.com>  Sat, 24 Aug 2024 14:10:53 -0600

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export PYBUILD_NAME=rocketcea
export PYBUILD_AFTER_INSTALL_python3=dh_numpy3

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_test:
	find . -name separated_Noz.csv -exec rm {} \;

execute_after_dh_auto_build-arch: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-arch: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-arch:
	PYTHONPATH=. python3 -m sphinx -N -bhtml -d docs/_build/doctrees docs \
		docs/_build/html
